package cn.com.poc.thirdparty.resource.text_in.entity.doc_flow;

import org.springframework.web.multipart.MultipartFile;

/**
 * @Author：Roger Wu
 * @name：FileUploadRequest
 * @Date：2025-08-28 17:32
 */
public class FileUploadRequest {

    /**
     *
     */
    private MultipartFile file;

    /**
     * 是否自动进行发票验真
     */
    private Boolean autoVerifyVat;
    /**
     * 批次编号。
     * 可以用同一个批次编号上传多次，后续可以用批次编号获取该批次多个文件处理结果。
     * 如果值为空，则系统自动生成最长20位字符串
     */
    private String batchNumber;
    /**
     * 文件类别
     */
    private String category;
    /**
     * 是否进行多图切分
     */
    private Boolean cropFlag;
    /**
     * 是否进行文件拆分
     */
    private Boolean splitFlag;
//    /**
//     * 目标处理类型。
//     * 可选值：
//     * - `classify`: 分类
//     * - `extract`: 抽取
//     */
//    private TargetProcess targetProcess;
    /**
     * 空间ID
     */
    private String workspaceid;

    public MultipartFile getFile() {
        return file;
    }

    public void setFile(MultipartFile file) {
        this.file = file;
    }

    public Boolean getAutoVerifyVat() { return autoVerifyVat; }
    public void setAutoVerifyVat(Boolean value) { this.autoVerifyVat = value; }

    public String getBatchNumber() { return batchNumber; }
    public void setBatchNumber(String value) { this.batchNumber = value; }

    public String getCategory() { return category; }
    public void setCategory(String value) { this.category = value; }

    public Boolean getCropFlag() { return cropFlag; }
    public void setCropFlag(Boolean value) { this.cropFlag = value; }

    public Boolean getSplitFlag() { return splitFlag; }
    public void setSplitFlag(Boolean value) { this.splitFlag = value; }

//    public TargetProcess getTargetProcess() { return targetProcess; }
//    public void setTargetProcess(TargetProcess value) { this.targetProcess = value; }

    public String getWorkspaceid() { return workspaceid; }
    public void setWorkspaceid(String value) { this.workspaceid = value; }


}
